Bug 196736 - GCC miscompiles GCC
GCC miscompiles GCC
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 15:50 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 04:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
opts.i from building i686-pc-ming32-gcc (69.12 KB, application/x-bzip2)
2006-06-28 11:47 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2006-06-26 15:50:52 EDT
Description of problem:

gcc-4.1.1-1.fc5 miscompiles gcc:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=26991

Version-Release number of selected component (if applicable):
gcc-4.1.1-1.fc5

How reproducible:
Deterministic.

Steps to Reproduce:
1. Compile FSF's gcc with FC's gcc.
2. cf. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=26991
Comment 1 Ralf Corsepius 2006-06-26 23:49:34 EDT
Another way to reproduce the problem:

Install the i686-pc-mingw32 cross toolchain from
ftp://packman.iu-bremen.de/fedora/5/i386

and try 
i686-pc-mingw32-gcc --target-help

Target specific options:
cc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Comment 2 Ralf Corsepius 2006-06-27 12:37:28 EDT
Bug is also present in gcc-4.1.1-5
Comment 3 Jakub Jelinek 2006-06-28 09:49:17 EDT
Please attach preprocessed opts.i on which you reproduce this and the exact
gcc options used to compile it.
Comment 4 Ralf Corsepius 2006-06-28 11:47:07 EDT
Created attachment 131681 [details]
opts.i from building i686-pc-ming32-gcc

This opts.i has been produced as by the instructions below, in a gcc-build tree
as being used by the *.src.rpm on packman.

# gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -c -g -O2 -DIN_GCC -DCROSS_COMPILE  -W -Wall
-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic
-Wno-long-long -Wno-variadic-macros -Wold-style-definition
-Wmissing-format-attribute    -DHAVE_CONFIG_H -I. -I. -I../../gcc-4.1.0/gcc
-I../../gcc-4.1.0/gcc/. -I../../gcc-4.1.0/gcc/../include
-I../../gcc-4.1.0/gcc/../libcpp/include     ../../gcc-4.1.0/gcc/opts.c -o
opts.o --save-temps
Comment 5 Jakub Jelinek 2006-06-30 04:32:33 EDT
Should be fixed in gcc-4.1.1-6.
Comment 6 Ralf Corsepius 2006-07-03 05:24:44 EDT
(In reply to comment #5)
> Should be fixed in gcc-4.1.1-6.
Confirmed. gcc-4.1.1-6 compiled FSF GCCs don't expose the "gcc --target-help"
SEGV. Thanks.

Nevertheless, we are now having this infamous "CLOSED RAWHIDE" == "NOT FIXED"
problem :(


Note You need to log in before you can comment on or make changes to this bug.